package es.verdnatura.presentation.view.feature.reubication.model


class ReubicationList(
    var list: ArrayList<Reubication> = arrayListOf()
)

class Reubication(
    var id: String = "", //ok
    var shelvingFk: String = "", //ok
    var code: String = "", // no
    var itemFk: String = "",//ok
    var longName: String = "",//ok
    var quantity: String = "", //=quantity
    var carros: MutableList<PlacementReubication> = mutableListOf(),//placements
    var pickingOrder:Int=0,//no
    var isError: Boolean=false,
    var errorMessage: String=""
)

class PlacementReubication(
    var code:String ="",//ok =parking
    var plate: String = "",
    var visible: String= "",//ok
    var idItemShelving:String="",
    var id: Int=0,//ok
    var shelvingFk:String ="",//ok=matricula del carro
    var itemFk: Int=0,//ok
    var pickingOrder:Int=0//ok

)